Get Account Statement File
curl --request GET \
--url https://api.yapily.com/accounts/{accountId}/statements/{statementId}/file \
--header 'Authorization: Basic <encoded-value>' \
--header 'consent: <consent>'import requests
url = "https://api.yapily.com/accounts/{accountId}/statements/{statementId}/file"
headers = {
"consent": "<consent>",
"Authorization": "Basic <encoded-value>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {consent: '<consent>', Authorization: 'Basic <encoded-value>'}
};
fetch('https://api.yapily.com/accounts/{accountId}/statements/{statementId}/file', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"<string>"{
"error": {
"code": 401,
"status": "UNAUTHORIZED",
"message": "Full authentication is required to access this resource"
}
}Financial Data
Get Account Statement File
Returns a PDF file of a statement for an account.
Feature: ACCOUNT_STATEMENT_FILE
Get Account Statement File
Learn more: Financial Data Features
Authorizations
Use HTTP Basic Authentication with your Application ID as username and Application Secret as password. Manage credentials in the Yapily Console. See Authentication for details.
Headers
Mandatory. The consent-token containing the user's authorisation to make the request.
The sub-application ID to which event type is being subscribed to
Path Parameters
Mandatory. The account Id of the user's bank account.
Mandatory. The statement Id of the statement file.
Response
Ok
The response is of type file.
Was this page helpful?